SoMatrixTransform(3IV)

NAME
SoMatrixTransform — node that specifies a 3D geometric transformation as a matrix

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoTransformation > SoMatrixTransform

SYNOPSIS
#include <Inventor/nodes/SoMatrixTransform.h>

Fields from class SoMatrixTransform:

SoSFMatrix
matrix

Methods from class SoMatrixTransform:

SoMatrixTransform()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node defines a geometric 3D transformation with a single SbMatrix. Note that some matrices (such as singular ones) may result in errors in bounding boxes, picking, and lighting.

FIELDS
SoSFMatrix
matrix
Transformation matrix.

METHODS

SoMatrixTransform()
Creates a matrix transformation node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction, SoGetBoundingBoxAction, SoRayPickAction
Concatenates matrix given in the matrix field with the current transformation matrix.

SoGetMatrixAction
Returns transformation matrix specified in the matrix field.

FILE FORMAT/DEFAULTS
MatrixTransform {
matrix	1 0 0 0
	0 1 0 0
	0 0 1 0
	0 0 0 1
}

SEE ALSO
SoTransform, SoMultipleCopy